getent(1)

NAMN
getent — hämta poster från Name Service Switch-biblioteken

SYNOPSIS
getent [option ...] database key ...

BESKRIVNING
Kommandot getent visar poster från databaser som stödjs av Name Service Switch-biblioteken, vilka konfigureras i /etc/nsswitch.conf. Om ett eller flera nyckel-argument ges kommer endast posterna som matchar de angivna nycklarna att visas. Annars, om ingen nyckel ges, kommer alla poster visas (såvida inte databasen inte stödjer uppräkning).

Databasen kan vara vilken som helst som stödjs av GNU C-biblioteket, uppräknade nedan:

ahosts
    När ingen nyckel anges, använd sethostent(3), gethostent(3) och endhostent(3) för att räkna upp databasen hosts. Detta är identiskt med att använda hosts(5). När ett eller flera argument nyckel anges, skicka varje key i ordning till getaddrinfo(3) med adressfamiljen AF_UNSPEC, och räkna ut varje returnerad uttagsadresspost.

ahostsv4
    Samma som ahosts, men använd adressfamiljen AF_INET.

ahostsv6
    Samma som ahosts, men använd adressfamiljen AF_INET6. Anropet av getaddrinfo(3) inkluderar i detta fall flaggan AI_V4MAPPED.

aliases
    När ingen nyckel anges, använd setaliasent(3), getaliasent(3) och endaliasent(3) för att räkna upp aliases-databasen. När ett eller flera argument nyckel anges, skicka varje nyckel i ordning till getaliasbyname(3) och visa resultatet.

ethers
    När ett eller flera argument nyckel anges, skicka varje nyckel i ordning till ether_aton(3) och ether_hostton(3) tills det blir ett resultat, och visa resultatet. Uppräkning stödjs inte av ethers, så en nyckel måste anges.

group
    När ingen nyckel anges, använd setgrent(3), getgrent(3) och endgrent(3) för att räkna upp group-databasen. När ett eller flera argument nyckel anges, skicka varje numerisk nyckel till getgrgid(3) och varje ickenumerisk nyckel till getgrnam(3) och visa resultatet.

gshadow
    När ingen nyckel anges, använd getsgent(3), getsgent(3) och endsgent(3) för att räkna upp gshadow-databasen. När ett eller flera argument nyckel anges, skicka varje nyckel i ordning till getsgnam(3) och visa resultatet.

hosts
    När ingen nyckel anges, använd sethostent(3), gethostent(3) och endhostent(3) för att räkna upp hosts-databasen. När ett eller flera argument nyckel anges, skicka varje nyckel till gethostbyaddr(3) eller gethostbyname2(3), beroende på huruvida ett anrop av inet_pton(3) indikerar att nyckeln är en IPv6- eller IPv4-adress eller inte, och visa resultatet.

initgroups
    När ett eller flera argument nyckel anges, skicka varje nyckel i ordning till getgrouplist(3) och visa resultatet. Uppräkning stödjs inte av initgroups, så en nyckel måste anges.

netgroup
    När en nyckel anges, skicka nyckeln till setnetgrent(3) och, genom att använda getnetgrent(3) visa resultatsträngstrippeln (värdnamn, användarnamn, domännamn). Alternativt så kan tre nycklar anges, vilket tolkas som det värdnamn, användarnamn och domännamn att matcha mot en nätgrupp via innetgr(3). Uppräkning stödjs inte av netgroup, så en nyckel måste anges.

networks
    När ingen nyckel anges, använd setnetent(3), getnetent(3) och endnetent(3) för att räkna upp networks-databasen. När ett eller flera argument nyckel anges, skicka varje numerisk nyckel till getnetbyaddr(3) och varje ickenumerisk nyckel till getnetbyname(3) och visa resultatet.

passwd
    När ingen nyckel anges, använd setpwent(3), getpwent(3) och endpwent(3) för att räkna upp passwd-databasen. När ett eller flera argument nyckel anges, skicka varje numerisk nyckel till getpwuid(3) och varje ickenumerisk nyckel till getpwnam(3) och visa resultatet.

protocols
    När ingen nyckel anges, använd setprotoent(3), getprotoent(3) och endprotoent(3) för att räkna upp protocols-databasen. När ett eller flera argument nyckel anges, skicka varje numerisk nyckel till getprotobynumber(3) och varje ickenumerisk nyckel till getprotobyname(3) och visa resultatet.

rpc När ingen nyckel anges, använd setrpcent(3), getrpcent(3) och endrpcent(3) för att räkna upp rpc-databasen. När ett eller flera argument nyckel anges, skicka varje numerisk nyckel till getrpcbynumber(3) och varje ickenumerisk nyckel till getrpcbyname(3) och visa resultatet.

services
    När ingen nyckel anges, använd setservent(3), getservent(3) och endservent(3) för att räkna upp services-databasen. När ett eller flera argument nyckel anges, skicka varje numerisk nyckel till getservbynumber(3) och varje ickenumerisk nyckel till getservbyname(3) och visa resultatet.

shadow
    När ingen nyckel anges, använd setspent(3), getspent(3) och endspent(3) för att räkna upp shadow-databasen. När ett eller flera argument nyckel anges, skicka varje nyckel till getspnam(3) och visa resultatet.

FLAGGOR

--service service
-s service
    Ersätt alla databaser med den angivna tjänsten. (Från glibc 2.2.5.)

--service database:service
-s database:service
    Ersätt endast den angivna databasen med den angivna tjänsten. Denna flagga kan användas flera gånger, men endast den sista tjänsten för varje databas kommer att användas. (Från glibc 2.4.)

--no-idn
-i
    Avaktiverar IDN-kodning i uppslagningar i ahosts/getaddrinfo(3) (Från glibc-2.13.)

--help
-?
    Skriv en sammanfattning av användningen och avsluta.

--usage
    Skriv en kort användningssammanfattning och avsluta.

--version
-V
    Skriv versionsnummer, licens och friskrivning från garanti för getent.

SLUTSTATUS
Ett av följande avslutningsvärden kan returneras av getent:

0   Kommandot avslutade lyckat.

1   Saknade argument, eller databasen okänd.

2   En eller flera angivna nycklar kunde inte hittas i databasen.

3   Uppräkning stödjs inte av denna databas.

SE ÄVEN
nsswitch.conf(5)

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.